[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.FirstGridColumn

Gets the position for the first column in the grid control after the optional row indicator column.

## Declaration

Source position: dbgrids.pas line 458

`protected function TCustomDBGrid.FirstGridColumn: Integer; override;`

## Function result

Ordinal position for the first data column in the grid.

## Description

The return value is 1 when dgIndicator has been included in the Options for the grid control. Otherwise, the return value is 0.

## See also

TCustomDBGrid.Options |  | Contains the optional features or behaviors that are enabled for the grid control.
TDBGridOptions |  | Stores values from the TDbGridOption enumeration.
TDBGridOption |  | Enumerated type containing options available for use in a database grid control.